## pg-stat-plans 2.0.0

=== Makefile ===
# contrib/pg_stat_plans/Makefile

MODULE_big = pg_stat_plans
OBJS = \
	$(WIN32RES) \
	pg_stat_plans.o \
	pgstat_custom.o \
	jumblefuncs.o

EXTENSION = pg_stat_plans
DATA = pg_stat_plans--2.0.sql
PGFILEDESC = "pg_stat_plans - track per-plan call counts, execution times and EXPLAIN texts"

LDFLAGS_SL += $(filter -lm, $(LIBS))

REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/pg_stat_plans/pg_stat_plans.conf
REGRESS = select activity privileges cleanup

PG_CFLAGS = $(shell pkg-config --cflags libzstd)
PG_LDFLAGS = $(shell pkg-config --libs libzstd)
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pg-stat-plans (2.0.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Mon, 27 Oct 2025 12:57:29 +0100

=== debian/control ===
Source: pg-stat-plans
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libkrb5-dev,
 libzstd-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/pganalyze/pg_stat_plans
Vcs-Browser: https://salsa.debian.org/postgresql/pg-stat-plans
Vcs-Git: https://salsa.debian.org/postgresql/pg-stat-plans.git

Package: postgresql-18-pg-stat-plans
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Track per-plan call counts, execution times and EXPLAIN texts in PostgreSQL
 pg_stat_plans is designed for low overhead tracking of aggregate plan
 statistics in Postgres, by relying on hashing the plan tree with a plan ID
 calculation. It aims to help identify plan regressions, and get an example
 plan for each Postgres query run, slow and fast. Additionally, it allows
 showing the plan for a currently running query.
 .
 Plan texts are stored in shared memory for efficiency reasons (instead of a
 local file), with support for zstd compression to compress large plan texts.
 .
 Plans have the same plan IDs when they have the same "plan shape", which
 intends to match EXPLAIN (COSTS OFF). This extension is optimized for tracking
 changes in plan shape, but does not aim to track execution statistics for
 plans, like auto_explain can do for outliers.

=== debian/rules ===
#!/usr/bin/make -f

export PG_VIRTUALENV_ARGS = -oshared_preload_libraries=pg_stat_plans

%:
	dh $@ --with pgxs

override_dh_installdocs:
	dh_installdocs --all README.*

=== debian/watch ===
version=4
https://github.com/pganalyze/pg_stat_plans/tags .*/v?(.*).tar.gz
